# $Revision: 1.50 $, $Date: 2012/03/28 21:25:27 $
Summary:	Skeleton package which defines a base of PLD system
Summary(pl.UTF-8):	Pakiet szkieletowy który określa podstawę systemu PLD
Summary(ru.UTF-8):	Базовый пакет, определяющий систему PLD Linux Distribution
Summary(uk.UTF-8):	Базовий пакет, який визначає систему PLD Linux Distribution
Name:		basesystem
Version:	2.99
Release:	8
Epoch:		2
License:	GPL
Group:		Base
Requires:	FHS
Requires:	dev
Requires:	setup
Obsoletes:	vserver-basesystem
# obsoletes for removed packages
Obsoletes:	bdflush
Obsoletes:	gir-repository
Obsoletes:	gir-repository-devel
Obsoletes:	gmc
Obsoletes:	gnome
Obsoletes:	gnome-admin
Obsoletes:	gnome-netstatus
Obsoletes:	gnome-utils
Obsoletes:	gnome-utils-floppy
Obsoletes:	gwp
Obsoletes:	libgail-gnome
Obsoletes:	libgail-gnome-devel
Obsoletes:	libgail-gnome-static
Obsoletes:	libtelepathy
Obsoletes:	libtelepathy-devel
Obsoletes:	xwpick
%ifarch alpha
Obsoletes:	gfax
%endif
# GNOME 1.x stuff dropped in Ac
Obsoletes:	gda1-ldap
Obsoletes:	gda1-mysql
Obsoletes:	gda1-odbc
Obsoletes:	gda1-postgres
Obsoletes:	gnome-db
Obsoletes:	gnome-db-devel
Obsoletes:	gnome-db-static
Obsoletes:	libgda1-clientcpp
Obsoletes:	libgda1-clientcpp-devel
Obsoletes:	libgda1-devel
Obsoletes:	libgda1-static
Obsoletes:	libglade-gnomedb
Obsoletes:	libglade-gnomedb-devel
Obsoletes:	libglade-gnomedb-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
While this package does not contain any files, it does perform an
important function. It defines the very basic components of PLD Linux
Distribution, providing packages install in right order and obsoletes
some packages which have been removed from distribution and don't have
direct replacements.

%description -l pl.UTF-8
Mimo że ten pakiet nie zawiera żadnych plików, ma on bardzo ważne
zadanie. Definiuje najbardziej podstawowe komponenty dystrybucji PLD,
zapewniając tym samym właściwy porządek instalacji pakietów, a
jednocześnie powoduje odinstalowanie niektórych przestarzałych
pakietów usuniętych z dystrybucji, nie mających bezpośrednich
zamienników.

%description -l ru.UTF-8
Хотя этот пакет и не содержит никаких файлов, он выполняет важную
функцию - определяет компоненты базовой системы PLD Linux
Distribution, такие как порядок установки пакетов в процессе
первоначальной инсталляции. Этот пакет должен устанавливаться в
систему первым и никогда не удаляться.

%description -l uk.UTF-8
Хоч цей пакет і не містить ніяких файлів, він виконує важливу функцію
- визначає компоненти базової системи PLD Linux Distribution, такі як
послідовність встановлення пакетів в процесі початкової інсталяції.
Цей пакет повинен встановлюватись у систему першим і ніколи не
видалятись.

%prep

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: basesystem.spec,v $
Revision 1.50  2012/03/28 21:25:27  megabajt
- O: gnome-utils and all packages obsoleted by gnome-utils

Revision 1.49  2011/09/21 16:12:25  megabajt
- Obsoletes: gnome-netstatus and libgail-gnome-*
- release 8

Revision 1.48  2010/10/11 08:07:06  arekm
- rel 7; gir-repository is gone

Revision 1.47  2010/05/27 12:30:30  patrys
- O: libtelepathy{,-devel}
- rel 6

Revision 1.46  2008/10/28 18:44:40  qboosh
- descs closer to reality

Revision 1.45  2008/10/27 08:15:21  pawelz
- typo

Revision 1.44  2008/10/27 08:10:50  glen
- we are PLD Linux, not just PLD

Revision 1.43  2008/07/28 07:17:07  arekm
- rel 5

Revision 1.42  2008/07/27 22:15:21  arekm
- release 4

Revision 1.41  2007-02-12 21:23:48  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.39  2006/10/30 14:52:32  glen
- adapter

Revision 1.38  2005/11/24 13:21:02  qboosh
- Obsoletes: vserver-basesystem

Revision 1.37  2005/05/01 15:41:14  ankry
- rel. 3

Revision 1.36  2005/05/01 12:16:08  qboosh
- no longer noarch

Revision 1.35  2005/05/01 12:13:56  qboosh
- Obsoletes: bdflush

Revision 1.34  2005/03/27 11:58:33  havner
- obsoletes for gda1 and dependant

Revision 1.33  2005/03/27 11:54:30  havner
- let's keep obsoletes in one place, basesystem is imo better for that

Revision 1.32  2004/12/08 22:36:25  mmazur
- ver 2.99-1 for th

Revision 1.31  2004/10/12 20:40:57  mmazur
- rel 3 for th

Revision 1.30  2003/10/08 10:11:32  qboosh
- fixed system name in ru/uk descriptions, fixed swapped ru/uk headers
- moved clean to standard place

Revision 1.29  2003/08/30 12:25:58  mmazur
- rel 2 for ac

Revision 1.28  2003/08/06 16:32:48  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.27  2003/05/25 05:45:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/24 07:29:23  blues
- 1.99 - for Acze...

Revision 1.25  2003/04/23 22:06:21  kloczek
- release 9: added gmc to Obsoletes.

Revision 1.24  2002/11/11 13:06:20  kloczek
- release 8,
- merge translations from KSI,
- added to Obsoletes gwp and xwpick.

Revision 1.23  2002/04/25 15:51:15  arturs
- fixed a small typo

Revision 1.22  2002/04/02 18:36:15  kloczek
- removed using %{__install} macro.

Revision 1.21  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/30 18:38:11  alchemyx
- ugly words back again. sorry.

Revision 1.19  2002/01/29 02:49:51  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.18  2002/01/18 02:12:29  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/04/03 18:05:44  kloczek
- release 7, Epoch: 2.

Revision 1.16  2001/04/03 11:10:28  kloczek
- release 6.

Revision 1.15  2001/04/03 10:26:23  kloczek
- adapterized and few cosmetics.

Revision 1.14  2000/12/05 16:09:31  dobrek
- hopefully I did't fucked something.
- I only add mkdir $RPM_BUILD_ROOT to %build

Revision 1.13  2000/08/23 20:39:08  kloczek
- adapterized.

Revision 1.12  2000/07/05 16:58:30  zagrodzki
- BuildArch: noarch

Revision 1.11  2000/05/23 18:40:54  zagrodzki
- release ++

Revision 1.10  2000/05/22 18:18:22  zagrodzki
- temporarily removed Req: rpm (caused loop in prereq chain)

Revision 1.9  2000/05/17 22:03:26  kloczek
- release 3,
- added Epoch 1 to allow upgrade from RH,
- adapterized.

Revision 1.8  2000/05/17 09:35:24  zagrodzki
- removed Requires: kernel

Revision 1.7  2000/05/16 17:16:48  zagrodzki
- Requires: rpm
- Requires: kernel

Revision 1.6  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.5  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/29 22:05:34  zagrodzki
- typo
